# $chan.usercount

Returns the number of users on a channel

Usage

    $chan.usercount
    $chan.usercount(<window_id>)

Description

The first form returns the number of users on the current channel (assuming that the current window is a channel at all). If the current window is not a channel, a warning is printed and an empty string is returned.
The second form returns the number of users on the channel specified by <window_id>.
The number of users returned depends on the state of KVIrc's data on the channel, which will be out-of-synch with the server just after the channel is joined. If the function is used prior to the channel's OnChannelSync event, a smaller user count than there really is will be returned.

Syntax Specification

    <intger> $chan.usercount
    <integer> $chan.usercount(<window_id:string>)

Index, Functions

KVIrc 4.2.0.6190 Documentation
Generated by root at Mon Sep 23 13:56:02 2013